package com.hrsk.pangu.dto;

/**
 * @author: bianlanzhou
 * @create: 2024-10-21 11:20
 * @description: ANTD页面适配分页查询
 **/
public class AntDQuery extends Query {
    private int current;
    private int pageSize;

    public AntDQuery() {
    }

    public int getCurrent() {
        return this.current < 1 ? 1 : this.current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public Integer getPageSize() {
        return this.pageSize;
    }

    public void setPageSize(Integer pageSize) {
        if (pageSize < 1) {
            pageSize = 10;
        }

        this.pageSize = pageSize;
    }
}
